<bugID>914239<Summary>Enable app debugging on device</Summary><Description>For now, all recent devtool new features related to apps have been disabled by the pref "devtools.debugger.enable-content-actors". 
But thanks to bug 832000, and the usage of unix domain socket instead of TCP socket, apps can no longer query the remote debugger protocol and gain access to geater priviledges.
So we should be able to enable access to these new features once the developer turn the remote debugging setting on.

Having said that, there is still some corner cases, where these features would allow getting acccess to private data that you won't be able to access by using the app. Like being able to get passwords from the email app by attaching a debugger to it.

We should be able to flag apps that have been installed via the remote protocol and only allow to debug these apps. But in any case, we would need another setting for firefox os contributors in order to debug gaia apps.

We might also consider the existing "remote debugging" setting as being unsafe and do not overcomplexify it by various security details. I'm not sure the simple adb shell access is much more safe than giving access to app developer tools?</Description></bugID>